List automations

GET
/api/v1/automations

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API key created in Capy under Settings → API.

Query parameters

projectId?string
projectIds?|array<string>

Automations in any of these projects.

projectIdsNot?

With projectId or projectIds: automations in every other project the key can read instead.

enabled?string

Only enabled (true) or only disabled (false) automations. Omit for both.

One of"true""false"
createdFrom?string

Automations created at or after this instant.

createdTo?string

Automations created before this instant.

limit?integer
cursor?string
Match^\d{1,15}:.+

Response body

AutomationPage

application/json
  1. response
items*array<>
cursor*|null
curl -X GET 'https://api.capy.ai/api/v1/automations'
{  "items": [    {      "id": "string",      "projectId": "string",      "name": "string",      "description": "string",      "prompt": "string",      "triggers": [        {          "type": "schedule",          "cron": "string",          "timezone": "string"        }      ],      "model": {        "modelId": "string",        "reasoningMode": "none",        "modes": {          "fast": true,          "pro": true,          "ultrafast": true,          "daybreak": true        }      },      "repos": [        {          "repo": "string",          "branch": "string"        }      ],      "threadMode": "new",      "slackImpersonation": true,      "quietSlackPosts": true,      "singleJamId": "string",      "mcpOverrides": {        "enabled_server_keys": [          "string"        ],        "disabled_server_keys": [          "string"        ]      },      "maxRunsPerDay": 0,      "machineSize": "small",      "organize": {        "pin": true,        "folders": [          "string"        ],        "tags": [          "string"        ]      },      "enabled": true,      "deleted": true,      "disabledReason": "run_as_unavailable",      "runAsKind": "human",      "runAsId": "string",      "runCount": 0,      "lastTriggeredAt": "string",      "nextRunAt": "string",      "createdAt": "string",      "updatedAt": "string"    }  ],  "cursor": "string"}
Open in Capy